// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function MagnifyingGlass(): React.ReactElement {
  return (
    <svg aria-hidden="true" width="14" height="16" viewBox="0 0 14 16" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path
        d="M14.7186 16.5322L10.7049 12.5209C9.41143 13.5432 7.77597 14.0326 6.13361 13.8886C4.49125 13.7446 2.96582 12.9782 1.86994 11.7465C0.774056 10.5148 0.191033 8.91084 0.239078 7.26288C0.287123 5.61492 0.962949 4.0478 2.12873 2.88202C3.2945 1.71624 4.86163 1.03993 6.50959 0.991882C8.15754 0.943838 9.76127 1.52759 10.993 2.62347C12.2247 3.71936 12.9916 5.24454 13.1356 6.8869C13.2795 8.52926 12.7897 10.1645 11.7674 11.4579L15.7781 15.4721C15.8484 15.5412 15.9041 15.6236 15.9422 15.7145C15.9803 15.8054 15.9998 15.9031 15.9998 16.0016C15.9998 16.1002 15.9803 16.1976 15.9422 16.2885C15.9041 16.3794 15.8484 16.4618 15.7781 16.5309C15.7095 16.6018 15.6269 16.6581 15.536 16.6962C15.445 16.7344 15.3474 16.7538 15.2488 16.7531C15.1502 16.7536 15.0528 16.7342 14.9617 16.6962C14.8707 16.6583 14.7877 16.6025 14.7186 16.5322ZM1.74982 7.45306C1.74895 8.43253 2.03848 9.39033 2.58185 10.2053C3.12522 11.0202 3.89804 11.6556 4.80255 12.0314C5.70707 12.4072 6.70302 12.5063 7.66388 12.3163C8.62475 12.1264 9.50755 11.6558 10.201 10.9641V10.9589L10.2078 10.9531C10.7831 10.3764 11.2075 9.66665 11.4432 8.8869C11.6788 8.10715 11.718 7.28139 11.5584 6.4826C11.3988 5.68382 11.0454 4.93686 10.5281 4.30756C10.0109 3.67826 9.34631 3.186 8.59357 2.87469C7.84083 2.56339 7.02235 2.44249 6.21173 2.52264C5.40111 2.6028 4.6233 2.88171 3.94611 3.33441C3.26891 3.78711 2.71385 4.39969 2.3299 5.1181C1.94595 5.83651 1.74503 6.63849 1.74494 7.45306H1.74982Z"
        fill="#0032D9"
      />
    </svg>
  );
}
